package com.fs.watch.service;

import com.fs.watch.domain.WatchBloodPressureData;
import com.fs.watch.domain.WatchThirdBpData;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
* @author Administrator
* @description 针对表【watch_blood_pressure_data(设备血压数据)】的数据库操作Service
* @createDate 2024-10-15 11:06:50
*/
public interface WatchBloodPressureDataService{

    Boolean insert(WatchBloodPressureData watchBloodPressureData);

    List<?> queryByDateAndDeviceId(String date, String deviceId);

    List<?> queryBpByDate(Date startTime, Date endTime, String deviceId, Integer status);

    Integer getStatus(int sbp, int dbp);

    List<Map<String, Object>> countBpByDate(Date startTime, Date endTime, String deviceId);

    WatchThirdBpData getLatest(String deviceId);

    int countBpPageByDate(Date startTime, Date endTime, String deviceId, Integer status);

    List<WatchBloodPressureData> queryBgPageByDate(Date startTime, Date endTime, String deviceId, Integer status, Integer num, Integer size);
}
